﻿<%@ Page Language="C#" AutoEventWireup="true" CodeBehind="GettingStarted.aspx.cs" Inherits="PivotFieldList.GettingStarted" %>

<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Web" TagPrefix="ej" %>
<%@ Register Assembly="Syncfusion.EJ.Olap" Namespace="Syncfusion.JavaScript.Models" TagPrefix="ej" %>

<!DOCTYPE html>

<html xmlns="http://www.w3.org/1999/xhtml">
<head runat="server">
    <title></title>
    <link href="themes/default-theme/ej.web.all.min.css" rel="stylesheet" />
    <script src="Scripts/jquery-1.10.2.min.js"></script>
    <script src="Scripts/jquery.easing.1.3.min.js"></script>
    <script src="Scripts/jquery.linq.js"></script>
    <script src="http://localhost:58780/Scripts/pivotgrid.datasource_country.js"></script>
    <script src="http://localhost:58780/Scripts/pivotgrid.datasource_date.js"></script>
    <script src="Scripts/ej.web.all.min.js"></script>
</head>
<body>
                <button onclick="refresh()">Refresh data</button>
                <div id="control">
                <div id="PivotGrid" style="height: 350px; width: 60%; overflow: auto">
                </div>
                </div>
                <div id="schema">
                <div id="PivotSchemaDesigner" style="height:650px;width:30% !important;margin-top:-340px"/>
                </div>

        <script type="text/javascript">

            function refresh(args) {
                $("#PivotGrid").remove();
                var pivotGrid = ej.buildTag("div#PivotGrid", "","")[0].outerHTML;
                $(pivotGrid).appendTo("#control");
                $("#PivotGrid").ejPivotGrid({
                    dataSource: {
                        data: pivot_dataset_Country,
                        rows: [
                          {
                              fieldName: "Country",
                              fieldCaption: "Country",
                          }
                        ],
                        columns: [

                            {
                                fieldName: "State",
                                fieldCaption: "State"
                            }
                        ],
                        values: [
                            {
                                fieldName: "Amount",
                                fieldCaption: "Amount"
                            }
                        ],
                    }
                });

                var pivotGrid1 = $("#PivotGrid").data("ejPivotGrid");
                var pivotSchemaDesigner = $('#PivotSchemaDesigner').data("ejPivotSchemaDesigner");
                $(pivotSchemaDesigner.element).html("");
                pivotSchemaDesigner.model.pivotControl = pivotGrid1;
                pivotSchemaDesigner.model.layout = ej.PivotSchemaDesigner.Layouts.Excel;
                pivotSchemaDesigner._load();
            };

            $(function () {
                $("#PivotGrid").ejPivotGrid({
                    dataSource: {
                        data: pivot_dataset_Date,
                        rows: [
                          {
                              fieldName: "Date",
                              fieldCaption: "Date",
                          }
                        ],
                        columns: [

                            {
                                fieldName: "Product",
                                fieldCaption: "Product",
                            }
                        ],
                        values: [
                            {
                                fieldName: "Quantity",
                                fieldCaption: "Quantity",
                            }
                        ],
                    }
                });
                var pivotGrid = $('#PivotGrid').data("ejPivotGrid");
                $("#PivotSchemaDesigner").ejPivotSchemaDesigner(
                    {
                        pivotControl: pivotGrid,
                        layout: ej.PivotSchemaDesigner.Layouts.Excel
                    });
            });
        </script>

        <style type="text/css">
            #PivotGrid
            {
                height: 350px; 
                width: 60%; 
                overflow: auto;
            }
        </style>
</body>
</html>
